Bug 26925 - RH7 installer fails
RH7 installer fails
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-10 02:25 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-15 07:10:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-02-10 02:25:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


RH7 installation on Athlon computer in text mode fails after copying the 
packages, producing following dump.

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in 
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1632, in 
doInstall
    self.writeConfiguration ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1384, in 
writeConfiguration
    self.createAccounts ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1168, in 
createAccounts
    stdout = devnull)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iutil.py", line 40, in 
execWithRedirect
    raise RuntimeError, command + " can not be run"
RuntimeError: /usr/bin/chfn can not be run

Local variables in innermost frame:
argv: ['/usr/bin/chfn', '-f', '', 'testuser']
root: /mnt/sysimage
stdin: 0
newPgrp: 0
stdout: 23
stderr: 2
command: /usr/bin/chfn
searchPath: 0
ignoreTermSigs: 0

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>

When installing in graphics mode no messages are displayed, and 
installation freezes.

Reproducible: Always
Steps to Reproduce:
1.Run RH7 installer from CD distribution.
2.Select workstation or custom configurations.
3.
Comment 1 Michael Fulbright 2001-02-11 23:07:19 EST
How large did you make your partitions?
Comment 2 Need Real Name 2001-02-11 23:23:27 EST
Swap partition was 128-256Mb on different installation attemps, the rest of 
2.5Gb HD was used for single partition install. I also have a bunch of DOS 
partitions on other drives, that weren't supposed to be touched by installer.

Btw, RH6.1 installed without problems with exactly the same config (partitions, 
network, users and similar set of packages).
Comment 3 Michael Fulbright 2001-02-14 00:36:41 EST
If you have a Linux machine which you can mount the CD from, try the command:

rpm -K --nogpg <cdrom mountpoint>/RedHat/RPMS/util-linux*

and let me know what that returns.

I think your CD is bad.
Comment 4 Need Real Name 2001-02-14 23:46:53 EST
It does look like that package is corrupt. Thanks.
Comment 5 7 2001-02-15 07:10:31 EST
I have the exact same problem...
I use an Athlon 800 with 128 RAM, Workstation install (partitionless install on 
Win98SE) crashes after copying the packages; partition was 2,4 gig large.
Comment 6 Michael Fulbright 2001-02-15 12:40:09 EST
If you purchased a Red Hat box set you can get a replacement CD from customer
support.

Note You need to log in before you can comment on or make changes to this bug.